- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CMovieBitmap Class Reference

a bitmap control that displays different bitmaps according to its current value More...

`#include <vstcontrols.h>`

Inheritance diagram for CMovieBitmap:

List of all members.

## Public Member Functions
| CMovieBitmap (const CRect &size, CControlListener *listener, long tag, CBitmap *background, CPoint &offset)
| CMovieBitmap (const CRect &size, CControlListener *listener, long tag, long subPixmaps, CCoord heightOfOneImage, CBitmap *background, CPoint &offset)
virtual | ~CMovieBitmap ()
virtual void | draw (CDrawContext *)
| called if the view should draw itself
## Protected Attributes
CPoint | offset
long | subPixmaps
CCoord | heightOfOneImage

## Detailed Description

a bitmap control that displays different bitmaps according to its current value

A movie pixmap allows to display different subpixmaps according to its current value.

## Constructor & Destructor Documentation

CMovieBitmap::CMovieBitmap | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CMovieBitmap::CMovieBitmap | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | long | subPixmaps,
|  | CCoord | heightOfOneImage,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CMovieBitmap::~CMovieBitmap | ( |  | ) | `[virtual]`

## Member Function Documentation

void CMovieBitmap::draw | ( | CDrawContext * |  | ) | `[virtual]`

| called if the view should draw itself Implements CControl.

## Member Data Documentation

CCoord CMovieBitmap::heightOfOneImage`[protected]`

CPoint CMovieBitmap::offset`[protected]`

long CMovieBitmap::subPixmaps`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.